Package net.shibboleth.idp.attribute.resolver.impl

# Class AttributeResolverServiceGaugeSet

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.service.ReloadableServiceGaugeSet<AttributeResolver>
net.shibboleth.idp.attribute.resolver.impl.AttributeResolverServiceGaugeSet

All Implemented Interfaces:
  `com.codahale.metrics.Metric`, `com.codahale.metrics.MetricFilter`, `com.codahale.metrics.MetricSet`, `Component`, `DestructableComponent`, `InitializableComponent`

public class AttributeResolverServiceGaugeSet extends ReloadableServiceGaugeSet<AttributeResolver> implements com.codahale.metrics.MetricSet, com.codahale.metrics.MetricFilter
Additional gauges for attribute resolver.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AttributeResolverServiceGaugeSet.CacheStatsPojo`
A Plain Old Java Object to encapsulate the counts from a `CacheStats`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

### Fields inherited from interface com.codahale.metrics.MetricFilter

`ALL`

## Constructor Summary

Constructors
Constructor
Description
`AttributeResolverServiceGaugeSet(String metricName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`

### Methods inherited from class net.shibboleth.shared.service.ReloadableServiceGaugeSet

`getLogPrefix, getMetricMap, getMetrics, getService, matches, setService`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.codahale.metrics.MetricFilter

`matches`

### Methods inherited from interface com.codahale.metrics.MetricSet

`getMetrics`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### AttributeResolverServiceGaugeSet

public AttributeResolverServiceGaugeSet(@Nonnull @NotEmpty @ParameterName(name="metricName") String metricName)
Constructor.

Parameters:
  `metricName` - name to include in metric names produced by this set

## Method Details

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `ReloadableServiceGaugeSet<AttributeResolver>`
Throws:
  `ComponentInitializationException`